Summary:	A GNU archiving program
Name:		cpio
Version:	2.13
Release:	%mkrel 5
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://www.gnu.org/software/cpio/
Source:		ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch01:	0001-Fix-cpio-header-verification.patch
Patch02:	0002-Improve-684b7ac5.patch

# fix mga#25698
Patch10:	revert-upstream-CVE-2015-1197.patch
Patch11:	suse-CVE-2015-1197.patch

Patch20:	cpio-2.12-svr4compat.patch
Patch21:	cpio-2.13-git-multiple-defs.patch

BuildRequires:	bison
BuildRequires:	texinfo

Requires:	rmt

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.
archives

%prep
%setup -q
%autopatch -p1
# update timestamp
touch configure.ac

%build
export CPPFLAGS="%{optflags} -DHAVE_LSTAT=1"
%configure \
	--bindir=%{_bindir} \
	--with-rmt=%{_sysconfdir}/rmt \
	--disable-rpath

%make_build

%check
make check

%install
%make_install

%find_lang %{name}

# remove unpackaged file
rm -f %{buildroot}%{_mandir}/man1/mt.*

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/cpio
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*


%changelog
* Sun May 24 2020 danf <danf> 2.13-5.mga8
+ Revision: 1587378
- Fix multiple definitions error with gcc 10

* Wed Apr 15 2020 joequant <joequant> 2.13-4.mga8
+ Revision: 1567669
- remove dep on info-install

* Tue Feb 18 2020 umeabot <umeabot> 2.13-3.mga8
+ Revision: 1538300
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Nov 18 2019 tmb <tmb> 2.13-2.mga8
+ Revision: 1461672
- revert upstream fix for CVE-2015-1197 as it breaks shutdown/reboot
  on some systems (mga#25698)
- restore previously applied bigger SuSe fix for CVE-2015-1197 with
  proper CVE reference

* Mon Nov 11 2019 tmb <tmb> 2.13-1.mga8
+ Revision: 1459273
- update to 2.13
  * drop merged / obsolete patches

* Sun Nov 10 2019 tmb <tmb> 2.12-6.mga8
+ Revision: 1459081
- fix CVE-2019-14866 (mga#25680)

* Sun Sep 23 2018 umeabot <umeabot> 2.12-5.mga7
+ Revision: 1296844
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 2.12-4.mga7
+ Revision: 1256366
- rely on filetriggers for info system (mga#23482)

* Tue Mar 15 2016 daviddavid <daviddavid> 2.12-3.mga6
+ Revision: 991011
- rename and rediff no-overwrite-symlinks patch (since fixed autopatch)

* Fri Feb 12 2016 luigiwalser <luigiwalser> 2.12-2.mga6
+ Revision: 958265
- add patch suggested upstream to fix CVE-2016-2037

* Thu Dec 31 2015 luigiwalser <luigiwalser> 2.12-1.mga6
+ Revision: 917385
- 2.12
- remove patch 0 (fixed upstream)
- remove upstream patches 12, 14, 15
- rediff patches 3 and 16

* Sat Aug 22 2015 tmb <tmb> 2.11-13.mga6
+ Revision: 868059
- CVE-2014-9112 testsuite expects year 2014
- rebuild for new gcc

* Tue Feb 03 2015 luigiwalser <luigiwalser> 2.11-11.mga5
+ Revision: 813220
- add patch to prevent cpio from extracting over symlinks by default (CVE-2015-1197)

* Thu Dec 11 2014 luigiwalser <luigiwalser> 2.11-10.mga5
+ Revision: 802713
- rediff upstream patches to fix additional null deref issue

* Tue Dec 09 2014 luigiwalser <luigiwalser> 2.11-9.mga5
+ Revision: 802443
- add patches from fedora to fix CVE-2014-9112

* Wed Oct 15 2014 umeabot <umeabot> 2.11-8.mga5
+ Revision: 750910
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-7.mga5
+ Revision: 678565
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.11-6.mga4
+ Revision: 503565
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.11-5.mga3
+ Revision: 348240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 sander85 <sander85> 2.11-4.mga3
+ Revision: 277490
- Move things from /(s)bin to /usr/(s)bin.
- Add patch from Fedora to fix build.

* Sun Jun 10 2012 blino <blino> 2.11-3.mga3
+ Revision: 259428
- rebuild to get info pages as xz instead of lzma

* Tue Jan 11 2011 blino <blino> 2.11-2.mga1
+ Revision: 5730
- imported package cpio

